/**
 * Copyright (c) 2007 Colony Project
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 **/


/**
 * @file lcd.h
 * @brief Contains definitions for dealing with the LCD screen.
 * 
 * Contains definitions and functions for dealing with the 
 * LCD screen.
 *
 * @author Colony Project, CMU Robotics Club
 **/

#ifndef _LCD_H_
#define _LCD_H_

/**
 * @addtogroup lcd
 * @{
 **/

/** @brief Initialize the LCD screen **/
void lcd_init(void);
/** @brief Clear the LCD screen **/
void lcd_clear_screen( void );
/** @brief Print a char to the LCD screen **/
void lcd_putc(char c);
/** @brief Print a string to the LCD screen **/
void lcd_puts(char *s);
/** @brief Print an int to the LCD screen **/
void lcd_puti(int value);
/** @brief Set the current cursor position **/
void lcd_gotoxy(int x, int y);

/** @} **/

#endif

